Sets the operator's authoritative tier for an agent.
PUT
/v1/m/governance/agent-risk-profiles/{id}/tier
const url = 'https://example.com/v1/m/governance/agent-risk-profiles/example/tier';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"tier":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/m/governance/agent-risk-profiles/example/tier \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "tier": "example" }'Sets the operator’s authoritative tier for an agent. This is the “override” — the operator’s word takes precedence over the heuristic.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Path parameter id.
Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}